<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;
use Lc\SovBundle\IModel\User\UserInterface;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Lc\SovBundle\Model\User\User as LcUserModel;

/**
 * @ORM\Entity(repositoryClass="Lc\SovBundle\Repository\User\UserRepository")
 * @UniqueEntity(fields={"email"}, message="There is already an account with this email")
 */
class User extends LcUserModel implements UserInterface
{
        /**
         * @ORM\Id
         * @ORM\GeneratedValue
         * @ORM\Column(type="integer")
         */
        private $id;

        public function getId(): ?int
        {
                return $this->id;
        }

}
