<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;
use Lc\SovBundle\IModel\Cms\FileInterface;
use Lc\SovBundle\Repository\Cms\FileRepository;
use Lc\SovBundle\Model\Cms\File as LcFileModel;
use Gedmo\Mapping\Annotation as Gedmo;
use Lc\SovBundle\Entity\Translation\EntityTranslation;

/**
 * @ORM\Entity(repositoryClass=FileRepository::class)
 * @Gedmo\TranslationEntity(class=EntityTranslation::class)
 */
class File extends LcFileModel implements FileInterface
{
        /**
         * @ORM\Id
         * @ORM\GeneratedValue
         * @ORM\Column(type="integer")
         */
        private $id;



        public function getId(): ?int
        {
                return $this->id;
        }


}
